Organization API: Customer Portal: Mailboxes
The 19 Organization API operations for mailboxes.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes
| Name |
In |
Type |
Required |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
domain_id |
integer |
yes |
local_part |
string |
yes |
password |
string or null |
no |
display_name |
string or null |
no |
quota_bytes |
integer or null |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
label |
string |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/app-passwords/{credential_id}
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
credential_id |
path |
string |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
PATCH /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/enabled
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
enabled |
boolean |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
preset |
string |
no |
host |
string or null |
no |
username |
string |
yes |
password |
string |
yes |
folders |
array of string |
no |
since |
string (date) or null |
no |
until |
string (date) or null |
no |
trash |
boolean |
no |
spam |
boolean |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/oauth
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
provider |
string, one of google, microsoft |
yes |
return_path |
string or null |
no |
since |
string (date) or null |
no |
until |
string (date) or null |
no |
trash |
boolean |
no |
spam |
boolean |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/upload
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
multipart/form-data (required)
| Field |
Type |
Required |
file |
string (binary) |
yes |
kind |
string |
no |
folder |
string |
no |
cpanel_mailbox |
string |
no |
trash |
boolean |
no |
spam |
boolean |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/imports/{import_id}/{action}
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
import_id |
path |
integer |
yes |
action |
path |
string, one of pause, resume, cancel |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/password
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
password |
string or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
PATCH /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/quota
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
application/json (required)
| Field |
Type |
Required |
quota_bytes |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
GET /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/sessions/{session_id}
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
session_id |
path |
string |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/totp
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/mail/{service_id}/mailboxes/{account_id}/totp
| Name |
In |
Type |
Required |
account_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
service_id |
path |
integer |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |